Subject: Re: bug#12345: 24.2.50; doc string of `text-scale-adjust'

From: Bastien <[email-masked]>
Date: Tue, 11 Sep 2012 18:27:50 +0200

Bastien <[email-masked]> writes:

> from emacs -q, try to edebug-defun `text-scale-adjust', 
> then use `C-x C-+', then `c' in the debug loop, then quit.
>
> The temporary keymap is not temporary anymore, and the `-'
> and `+' keys are still bounded to `text-scale-adjust'.

I've been digging a bit further: in general, using `edebug-defun'
on any command that uses `set-temporary-overlay-map' will leave the
`pre-command-hook' in a dirty state.

One brute-force solution is to (setq emulation-mode-map-alists nil)
manually to get rid of the temporary overlay map, but that's not right.

-- 
 Bastien